/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workactivity.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workactivity.entity.Activity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 工作流附加类DAO接口
 * @author 杨帆
 * @version 2018-01-24
 */
@MyBatisDao
public interface ActivityDao extends CrudDao<Activity> {

    List<Activity> findByActivityMenuId(String activityMenuId);
    List<Activity> findListByMenu(Activity activity);

    List<Activity> groupByActivityMenu(@Param("parentId") String parentId,@Param("companyId") String companyId);

    List<Activity> getByProcessInstanceId(@Param("processInstanceId") String processInstanceId);

    int deleteToDelflag(String activityMenuId);
}